summaryrefslogtreecommitdiff
path: root/resources/scripts
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-02-19 23:16:01 +0000
committerLeah Rowe <leah@libreboot.org>2023-02-19 23:16:01 +0000
commitdac9ea86d346282d5d99ccddf2c6e8895e92a760 (patch)
tree4fada460fc3655e5316c48c71b63b2c2afe2f5c9 /resources/scripts
parent0d0f6cf3b8f0ac88cbf39c0279bda5623e8f3e62 (diff)
build/boot/roms: fail when build cbutils fails
Diffstat (limited to 'resources/scripts')
-rwxr-xr-xresources/scripts/build/boot/roms_helper4
1 files changed, 2 insertions, 2 deletions
diff --git a/resources/scripts/build/boot/roms_helper b/resources/scripts/build/boot/roms_helper
index 5e279c48..9bcc6933 100755
--- a/resources/scripts/build/boot/roms_helper
+++ b/resources/scripts/build/boot/roms_helper
@@ -212,7 +212,7 @@ fi
export PATH="$(pwd)/${cbdir}/util/crossgcc/xgcc/bin:$PATH"
if [ ! -f "${cbfstool}" ]; then
- ./build module cbutils ${cbtree}
+ ./build module cbutils ${cbtree} || exit 1
fi
if [ ! -f "${seavgabiosrom}" ] \
@@ -346,7 +346,7 @@ mkCoreboot() {
fi
)
cp "${cbcfgpath}" "${cbdir}"/.config
- ./build module cbutils ${cbdir#coreboot/}
+ ./build module cbutils ${cbdir#coreboot/} || exit 1
(
cd "${cbdir}"
make -j$(nproc)